Update a risk profile
const url = 'https://app.prefactorai.com/api/v1/risk_profile/013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":null,"name":"example","ruleset":null}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://app.prefactorai.com/api/v1/risk_profile/013xrzp12g3nqk8ns6jadrqmpgrjkeny \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": null, "name": "example", "ruleset": null }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A valid risk profile ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyRequest Body
Section titled “Request Body”object
object
object
Weights per sensitive data category; each field is a non-negative integer (included; 0 contributes no score) or null (excluded from this profile)
object
object
Scores above this map to critical risk
Scores above this map to at least high risk
Scores above this (after medium) map to at least medium risk
Null
Responses
Section titled “Responses”Success
object
object
object
object
Creates data
Destroys data
Sends external communications
Performs financial transactions
Reads data
Updates data
object
Authentication and secrets present
Behavioural and inferred data present
Classification level
Contact information present
Criminal justice data present
Financial information present
GDPR: biometric data for identification
GDPR: genetic data
GDPR: political opinions
GDPR: racial or ethnic origin
GDPR: religious or philosophical beliefs
GDPR: sex life or sexual orientation
GDPR: trade union membership
Health and medical data present
Location and tracking data present
Minors data present
Organisational confidential data present
Personal identifiers present
object
Authentication and secrets present
Behavioural and inferred data present
Classification level
Contact information present
Criminal justice data present
Financial information present
GDPR: biometric data for identification
GDPR: genetic data
GDPR: political opinions
GDPR: racial or ethnic origin
GDPR: religious or philosophical beliefs
GDPR: sex life or sexual orientation
GDPR: trade union membership
Health and medical data present
Location and tracking data present
Minors data present
Organisational confidential data present
Personal identifiers present
A valid risk profile ID
When the risk profile was created
Risk profile name
object
object
Weights per sensitive data category; each field is a non-negative integer (included; 0 contributes no score) or null (excluded from this profile)
object
object
Scores above this map to critical risk
Scores above this map to at least high risk
Scores above this (after medium) map to at least medium risk
Type of resource (always ‘risk_profile’)
When the risk profile was last updated
Example
{ "details": { "agreed_data_risk": { "action_profile": { "create_data": "unknown", "destroy_data": "unknown", "external_communication": "unknown", "financial_transactions": "unknown", "read_data": "unknown", "update_data": "unknown" }, "params_data_categories": { "authentication_and_secrets": "unknown", "behavioural_and_inferred": "unknown", "classification": "unknown", "contact_information": "unknown", "criminal_justice": "unknown", "financial_information": "unknown", "gdpr_biometric_for_identification": "unknown", "gdpr_genetic_data": "unknown", "gdpr_political_opinions": "unknown", "gdpr_racial_or_ethnic_origin": "unknown", "gdpr_religious_or_philosophical_beliefs": "unknown", "gdpr_sex_life_or_sexual_orientation": "unknown", "gdpr_trade_union_membership": "unknown", "health_and_medical": "unknown", "location_and_tracking": "unknown", "minors_data": "unknown", "organisational_confidential": "unknown", "personal_identifiers": "unknown" }, "result_data_categories": { "authentication_and_secrets": "unknown", "behavioural_and_inferred": "unknown", "classification": "unknown", "contact_information": "unknown", "criminal_justice": "unknown", "financial_information": "unknown", "gdpr_biometric_for_identification": "unknown", "gdpr_genetic_data": "unknown", "gdpr_political_opinions": "unknown", "gdpr_racial_or_ethnic_origin": "unknown", "gdpr_religious_or_philosophical_beliefs": "unknown", "gdpr_sex_life_or_sexual_orientation": "unknown", "gdpr_trade_union_membership": "unknown", "health_and_medical": "unknown", "location_and_tracking": "unknown", "minors_data": "unknown", "organisational_confidential": "unknown", "personal_identifiers": "unknown" } }, "description": null, "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "name": "High Risk", "ruleset": { "action_multipliers": { "create_data": null, "destroy_data": null, "external_communication": null, "financial_transactions": null, "read_data": null, "update_data": null }, "category_weights": { "authentication_and_secrets": null, "behavioural_and_inferred": null, "contact_information": null, "criminal_justice": null, "financial_information": null, "gdpr_biometric_for_identification": null, "gdpr_genetic_data": null, "gdpr_political_opinions": null, "gdpr_racial_or_ethnic_origin": null, "gdpr_religious_or_philosophical_beliefs": null, "gdpr_sex_life_or_sexual_orientation": null, "gdpr_trade_union_membership": null, "health_and_medical": null, "location_and_tracking": null, "minors_data": null, "organisational_confidential": null, "personal_identifiers": null } }, "type": "risk_profile" }, "status": "success"}default
Section titled “default”Error